Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.desktop
Class OutlookRecurrableObject

    java.lang.Object
      local.tomas.mobile.sync.obj.desktop.OutlookSyncObject
          local.tomas.mobile.sync.obj.desktop.OutlookRecurrableObject

All Implemented Interfaces:
  SyncObject

Direct Known Subclasses:
  OutlookSyncEvent, OutlookSyncTask

    public abstract class OutlookRecurrableObject

extends OutlookSyncObject

Constructor Summary
`OutlookRecurrableObject()`

Method Summary
`protected abstract void` | `clearRecurrencePattern()`
`
`<T> T`
` | `getAttribute(java.lang.String name, java.lang.Class<T> type)`
`protected abstract com.jacobgen.microsoft.outlook.RecurrencePattern` | `getRecurrencePattern()`
`protected abstract boolean` | `hasDuration()`
`protected abstract boolean` | `isRecurring()`
`
`<T> void`
` | `setAttribute(java.lang.String name, T value, java.lang.Class<T> type)`

Methods inherited from class local.tomas.mobile.sync.obj.desktop.OutlookSyncObject
`getDispatch, getLastModificationTime, getOutlookInstance, getUID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface local.tomas.mobile.sync.obj.SyncObject
`getName`

Constructor Detail

### OutlookRecurrableObject

    public OutlookRecurrableObject()

Method Detail

### isRecurring

    protected abstract boolean isRecurring()

### hasDuration

    protected abstract boolean hasDuration()

### getRecurrencePattern

    protected abstract com.jacobgen.microsoft.outlook.RecurrencePattern getRecurrencePattern()

### clearRecurrencePattern

    protected abstract void clearRecurrencePattern()

### getAttribute

    public <T> T getAttribute(java.lang.String name,
                              java.lang.Class<T> type)

  Specified by:
    `getAttribute` in interface `SyncObject`
  Overrides:
    `getAttribute` in class `OutlookSyncObject`

### setAttribute

    public <T> void setAttribute(java.lang.String name,
                                 T value,
                                 java.lang.Class<T> type)

  Specified by:
    `setAttribute` in interface `SyncObject`
  Overrides:
    `setAttribute` in class `OutlookSyncObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.